cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/item_groups/131b2c3d4e5f4a6b8c7d9e0f1a2b3c4d/billing_preferences" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"item_group": {
"billing_preferences": {
"invoice_mode": "AUTOMATIC"
}
}
}'from exsited import build_client
client = build_client()
response = client.settings.create_settings_item_group_billing_preference(
"131b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
{"item_group": {"billing_preferences": {"invoice_mode": "AUTOMATIC"}}},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.settings.createSettingsItemGroupBillingPreference('131b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', {
item_group: {billing_preferences: {invoice_mode: 'AUTOMATIC'}},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->settings->createSettingsItemGroupBillingPreference(
'131b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
['item_group' => ['billing_preferences' => ['invoice_mode' => 'AUTOMATIC']]],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.settings.settings_dto.SettingsDto.SettingsItemGroups;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsItemGroups> response = client.settings().createSettingsItemGroupBillingPreference(
"131b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
Map.of("item_group", Map.of("billing_preferences", Map.of("invoice_mode", "AUTOMATIC"))));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Settings.CreateSettingsItemGroupBillingPreferenceAsync(
"131b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
new Dictionary<string, object?>
{
["item_group"] = new Dictionary<string, object?>
{
["billing_preferences"] = new Dictionary<string, object?>
{
["invoice_mode"] = "AUTOMATIC",
},
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.settings
.createSettingsItemGroupBillingPreference(
'131b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
{
'item_group': {
'billing_preferences': {'invoice_mode': 'AUTOMATIC'},
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Settings().CreateSettingsItemGroupBillingPreference(context.Background(), "131b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", map[string]any{
"item_group": map[string]any{
"billing_preferences": map[string]any{"invoice_mode": "AUTOMATIC"},
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"item_group": {
"accounting_code": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"billing_preferences": {},
"code": "<string>",
"created_by": "<string>",
"created_on": "<string>",
"custom_attributes": "<array>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"image_uri": "<string>",
"last_updated_by": "<string>",
"last_updated_on": "<string>",
"manager": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>",
"uuid": "<string>",
"version": 123
}
}Instance settings
Update an item group's billing preferences
Sets an item group’s billing preferences and returns the item group under item_group.
POST
/
settings
/
item_groups
/
{item_group_id}
/
billing_preferences
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/item_groups/131b2c3d4e5f4a6b8c7d9e0f1a2b3c4d/billing_preferences" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"item_group": {
"billing_preferences": {
"invoice_mode": "AUTOMATIC"
}
}
}'from exsited import build_client
client = build_client()
response = client.settings.create_settings_item_group_billing_preference(
"131b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
{"item_group": {"billing_preferences": {"invoice_mode": "AUTOMATIC"}}},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.settings.createSettingsItemGroupBillingPreference('131b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', {
item_group: {billing_preferences: {invoice_mode: 'AUTOMATIC'}},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->settings->createSettingsItemGroupBillingPreference(
'131b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
['item_group' => ['billing_preferences' => ['invoice_mode' => 'AUTOMATIC']]],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.settings.settings_dto.SettingsDto.SettingsItemGroups;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsItemGroups> response = client.settings().createSettingsItemGroupBillingPreference(
"131b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
Map.of("item_group", Map.of("billing_preferences", Map.of("invoice_mode", "AUTOMATIC"))));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Settings.CreateSettingsItemGroupBillingPreferenceAsync(
"131b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
new Dictionary<string, object?>
{
["item_group"] = new Dictionary<string, object?>
{
["billing_preferences"] = new Dictionary<string, object?>
{
["invoice_mode"] = "AUTOMATIC",
},
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.settings
.createSettingsItemGroupBillingPreference(
'131b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
{
'item_group': {
'billing_preferences': {'invoice_mode': 'AUTOMATIC'},
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Settings().CreateSettingsItemGroupBillingPreference(context.Background(), "131b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", map[string]any{
"item_group": map[string]any{
"billing_preferences": map[string]any{"invoice_mode": "AUTOMATIC"},
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"item_group": {
"accounting_code": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"billing_preferences": {},
"code": "<string>",
"created_by": "<string>",
"created_on": "<string>",
"custom_attributes": "<array>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"image_uri": "<string>",
"last_updated_by": "<string>",
"last_updated_on": "<string>",
"manager": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>",
"uuid": "<string>",
"version": 123
}
}Send the preferences under
item_group.billing_preferences, such as invoice_mode. A read of the item group then returns them under billing_preferences.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The item group's id, as a listing or a create returns it.
Body
application/json
Show child attributes
Show child attributes
Response
The item group, under item_group.
Show child attributes
Show child attributes